Quick-update a job from the dashboard
curl --request POST \
--url https://my.propops.app/api/dashboard/update-job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"csrf_token": "abc123def456",
"status_id": 9,
"date_completed": "2026-04-06",
"silent": false
}
'import requests
url = "https://my.propops.app/api/dashboard/update-job"
payload = {
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"csrf_token": "abc123def456",
"status_id": 9,
"date_completed": "2026-04-06",
"silent": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '550e8400-e29b-41d4-a716-446655440001',
csrf_token: 'abc123def456',
status_id: 9,
date_completed: '2026-04-06',
silent: false
})
};
fetch('https://my.propops.app/api/dashboard/update-job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully"
}{
"success": false,
"error": "Missing required parameter: job_title."
}{
"success": false,
"error": "Unauthorized. Valid Bearer token required."
}Actions
Quick-update a job from the dashboard
Update a job’s status or completion date directly from the dashboard. Required permission: api.dashboard.update_job.manage
POST
/
api
/
dashboard
/
update-job
Quick-update a job from the dashboard
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Body
application/json
⌘I